Page MenuHomePhabricator

Refactor Puppet WDQS module to make it usable for wdqs and cqs
Open, NormalPublic

Description

Let's refactor puppet wdqs module and profile to make it reusable for both wdqs and cqs. The new module will be called query_service.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 9 2019, 7:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mathew.onipe triaged this task as Normal priority.Sep 9 2019, 7:42 AM
Mathew.onipe updated the task description. (Show Details)Sep 9 2019, 2:21 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 9 2019, 2:21 PM
Mathew.onipe updated the task description. (Show Details)
Mathew.onipe updated the task description. (Show Details)Sep 9 2019, 2:42 PM
Mathew.onipe updated the task description. (Show Details)Sep 9 2019, 2:46 PM
Mathew.onipe updated the task description. (Show Details)Sep 9 2019, 2:49 PM
Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptSep 9 2019, 3:48 PM
Mathew.onipe updated the task description. (Show Details)Sep 11 2019, 6:45 AM

Change 535844 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] Add SDQS module

https://gerrit.wikimedia.org/r/535844

Change 537008 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: rename wdqs module to query_service

https://gerrit.wikimedia.org/r/537008

Change 537138 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: modify module to enable reusbility

https://gerrit.wikimedia.org/r/537138

Astinson removed a subscriber: Astinson.Sep 16 2019, 3:42 PM

Change 535844 abandoned by Mathew.onipe:
Add SDQS module

https://gerrit.wikimedia.org/r/535844

Change 538572 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: rename wdqs module to query_service

https://gerrit.wikimedia.org/r/538572

Change 537008 abandoned by Mathew.onipe:
query_service: rename wdqs module to query_service

Reason:
https://gerrit.wikimedia.org/r/c/operations/puppet/ /538572

https://gerrit.wikimedia.org/r/537008

Change 538849 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: rename profile/wdqs to profile/query_service

https://gerrit.wikimedia.org/r/538849

Change 539285 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: separate categories from main blazegraph profile

https://gerrit.wikimedia.org/r/539285

Change 539513 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: properly adapt query_service profile

https://gerrit.wikimedia.org/r/539513

Change 539998 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] query_service: properly adapt hiera configs

https://gerrit.wikimedia.org/r/539998

Addshore moved this task from incoming to monitoring on the Wikidata board.Wed, Oct 30, 2:16 PM
Mathew.onipe renamed this task from Create puppet configs for SDC query to Refactor Puppet WDQS module to make it usable for wdqs and cqs.Fri, Nov 1, 8:00 AM
Mathew.onipe updated the task description. (Show Details)

Change 538572 merged by Gehel:
[operations/puppet@production] query_service: rename wdqs module to query_service

https://gerrit.wikimedia.org/r/538572

Change 537138 merged by Gehel:
[operations/puppet@production] query_service: prepare query_service for reusbility

https://gerrit.wikimedia.org/r/537138

Change 538849 merged by Gehel:
[operations/puppet@production] query_service: rename profile/wdqs to profile/query_service

https://gerrit.wikimedia.org/r/538849

Change 539285 merged by Gehel:
[operations/puppet@production] query_service: separate categories from main blazegraph profile

https://gerrit.wikimedia.org/r/539285

Change 539513 merged by Gehel:
[operations/puppet@production] query_service: properly adapt query_service profile

https://gerrit.wikimedia.org/r/539513

Change 539998 merged by Gehel:
[operations/puppet@production] query_service: properly adapt hiera configs

https://gerrit.wikimedia.org/r/539998